Android phone newbie questionsGeneral


Last Updated:

  1. TankbusterT101

    TankbusterT101 Member This Topic's Starter

    Joined:
    Aug 23, 2010
    Messages:
    19
    Likes Received:
    2
    Hi all,
    after a bit of research into android / touchscreen phones I took the plunge and invested in one.

    I went for the t-mobile pulse as it was on offer for
     

    Advertisement
  2. kejlyCZ

    kejlyCZ Well-Known Member

    Joined:
    Jun 6, 2010
    Messages:
    561
    Likes Received:
    121
    TankbusterT101 likes this.
  3. TankbusterT101

    TankbusterT101 Member This Topic's Starter

    Joined:
    Aug 23, 2010
    Messages:
    19
    Likes Received:
    2
    Thanks KejlyCZ,
    interesting that the 2.1 update has been removed from the UK T-mobile site. Maybe it need further tweaking before a proper release.

    T
     
  4. Muuurgh

    Muuurgh Well-Known Member

    Joined:
    Oct 13, 2009
    Messages:
    67
    Likes Received:
    1
    The pulse does not get OTA updates, despite non-uk non-pulse owners suggesting that it may.

    I've had mine for 10 months now, and it's been great. I highly recommend going with a custom ROM, as it will run quicker that the current software. There are some bugs with the stock ROM that get annoying very quickly, and I personally prefer the stock behaviour that the 2 roms I've used have.

    I did wait 3-4 months before upgrading, but I've never looked back since then, and a custom ROM is currently your only way of getting 2.1, as T-Mobile have taken off the update until they've fixed it. No idea what was wrong with it, never used it personally, didn't like the pink :)
     
    TankbusterT101 likes this.
  5. TankbusterT101

    TankbusterT101 Member This Topic's Starter

    Joined:
    Aug 23, 2010
    Messages:
    19
    Likes Received:
    2
    I did read on a few web sites that the 2.1 update was pulled due to problems, but t-mobile said that they will issue the update in October.

    I really want the update, so I can install a few newer apps such as the android tricorder...:p (new version needs 1.6 and above).

    T
     

Share This Page

Loading...